ServerEvents.recipes((event) => {
  const greg = event.recipes.gtceu;
  event.remove({ output: "projectexpansion:basic_emc_link" });
  event.remove({ output: "projectexpansion:dark_emc_link" });
  event.remove({ output: "projectexpansion:red_emc_link" });
  event.remove({ output: "projectexpansion:magenta_emc_link" });
  event.remove({ output: "projectexpansion:pink_emc_link" });
  event.remove({ output: "projectexpansion:magenta_emc_link" });
  event.remove({ output: "projectexpansion:purple_emc_link" });
  // Emc links
    event.recipes.gtceu.assembler("projectexpansion:basic_emc_link")
        .itemInputs("projecte:condenser_mk1",
            "gtceu:lv_machine_hull",
            "12x projecte:low_covalence_dust",
            "12x projecte:medium_covalence_dust",
            "12x projecte:high_covalence_dust",
            "minecraft:glass_pane"
        )
        .itemOutputs("projectexpansion:basic_emc_link")
        .duration(200)
        .EUt(GTValues.VA[GTValues.LV])
	
    event.recipes.gtceu.assembler("projectexpansion:dark_emc_link")
        .itemInputs("projecte:condenser_mk1",
            "gtceu:mv_machine_hull",
            "16x projecte:low_covalence_dust",
            "16x projecte:medium_covalence_dust",
            "16x projecte:high_covalence_dust",
            "projectexpansion:basic_emc_link"
        )
        .itemOutputs("projectexpansion:dark_emc_link")
        .duration(200)
        .EUt(GTValues.VA[GTValues.MV])
	
    event.recipes.gtceu.assembler("projectexpansion:red_emc_link")
        .itemInputs("projecte:condenser_mk1",
            "gtceu:hv_machine_hull",
            "24x projecte:low_covalence_dust",
            "24x projecte:medium_covalence_dust",
            "24x projecte:high_covalence_dust",
            "projectexpansion:dark_emc_link"
        )
        .itemOutputs("projectexpansion:red_emc_link")
        .duration(200)
        .EUt(GTValues.VA[GTValues.HV])
	
    event.recipes.gtceu.assembler("projectexpansion:magenta_emc_link")
        .itemInputs("projecte:condenser_mk2",
            "gtceu:luv_machine_hull",
            "32x projecte:low_covalence_dust",
            "32x projecte:medium_covalence_dust",
            "32x projecte:high_covalence_dust",
            "projectexpansion:red_emc_link"
        )
        .itemOutputs("projectexpansion:magenta_emc_link")
        .duration(200)
        .EUt(GTValues.VA[GTValues.LuV])
	
    event.recipes.gtceu.assembler("projectexpansion:pink_emc_link")
        .itemInputs("projecte:condenser_mk2",
            "gtceu:zpm_machine_hull",
            "48x projecte:low_covalence_dust",
            "48x projecte:medium_covalence_dust",
            "48x projecte:high_covalence_dust",
            "projectexpansion:magenta_emc_link"
        )
        .itemOutputs("projectexpansion:pink_emc_link")
        .duration(200)
        .EUt(GTValues.VA[GTValues.ZPM])
	
    event.recipes.gtceu.assembler("projectexpansion:purple_emc_link")
        .itemInputs("projecte:condenser_mk2",
            "gtceu:uv_machine_hull",
            "64x projecte:low_covalence_dust",
            "64x projecte:medium_covalence_dust",
            "64x projecte:high_covalence_dust",
            "projectexpansion:pink_emc_link"
        )
        .itemOutputs("projectexpansion:purple_emc_link")
        .duration(200)
        .EUt(GTValues.VA[GTValues.UV])
});